Body
Initiate Token Request
Call by Issuer to Juspay
API initiates the token push request on behalf of cardholder from issuer application into the merchant vaults.Enter API description here...
Request
Response
API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/pushProvision/v1/initiateTokenRequest
Production Link
POST
https://api.juspay.in/pushProvision/v1/initiateTokenRequest
Authorization Header
Basic Auth
*
required
Headers
x-issuer-id
*
String
Mandatory
Issuer id given by juspay
x-issuer-kid
*
String
Mandatory
Issuer key id given by Juspay for JWE, JWS
x-juspay-kid
*
String
Mandatory
Key id given by Juspay to do field level encryption
Request Schema: application/json
Response
requestId
*
String
Mandatory
Unique identifier for this request
consentId
*
String
Mandatory
Id corresponding to consent taken from card holders
encMobileNumber
*
String
Mandatory
Encrypted Mobile Number of the customer
encCardNumber
*
String
Mandatory
Encrytped Card Number of the customer
encExpiry
*
String
Mandatory
Encrypted Expiry date of the card
nameOnCard
*
String
Mandatory
Encrypted name on card
merchants
*
String
Mandatory
List of merchants which the customer wants to
200 : Success
Response Body
requestId
*
String
Mandatory
Unique identifier for the request for this response
merchants
*
String
Mandatory
JSON Object containing the tokenization status at each merchant

